Subject: Re: [netconf] New Version Notification for draft-ietf-netconf-notification-capabilities-12.txt

From: Balázs Lengyel <[email-masked]>
Date: Mon, 9 Mar 2020 14:55:02 +0000

Hello,
I updated the draft 
- Enhanced the description of max-nodes-per-update
- Formatted the modules to with pyang to be no longer than 69 characters. 
- Added mandatory references about imports
Regards Balazs

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 2020. március 9., hétfő 15:49
To: Balázs Lengyel <[email-masked]>; Alexander Clemm <[email-masked]>; Benoit Claise <[email-masked]>
Subject: New Version Notification for draft-ietf-netconf-notification-capabilities-12.txt

A new version of I-D, draft-ietf-netconf-notification-capabilities-12.txt
has been successfully submitted by Balazs Lengyel and posted to the IETF repository.

Name:		draft-ietf-netconf-notification-capabilities
Revision:	12
Title:		Generic YANG-related System Capabilities and YANG-Push Notification Capabilities
Document date:	2020-03-09
Group:		netconf
Pages:		25
URL:            https://www.ietf.org/internet-drafts/draft-ietf-netconf-notification-capabilities-12.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-netconf-notification-capabilities/
Htmlized:       https://tools.ietf.org/html/draft-ietf-netconf-notification-capabilities-12
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-netconf-notification-capabilities
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-netconf-notification-capabilities-12

Abstract:
   This document proposes two YANG modules.  The module ietf-system-
   capabilities provides a structure that can be used to specify any
   YANG related system capability.

   The module ietf-notification-capabilities allows a publisher to
   specify capabilities related to "Subscription to YANG Datastores"
   (YANG-Push).  It proposes to use YANG Instance Data to document this
   information and make it already available at implementation-time, but
   also allow it to be reported at run-time.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Mahesh Jethanandani <[email-masked]>
Date: Mon, 9 Mar 2020 21:01:34 -0700

> On Mar 9, 2020, at 7:55 AM, Balázs Lengyel <balazs.lengyel=[email-masked]> wrote:
> 
> Hello,
> I updated the draft 

I think you got part of what is being asked for. You added references to the drafts/RFCs that you are referencing from the YANG model in the text of Section 5.2. However, you are still missing the reference statement in the model

  import ietf-netconf-acm {
    prefix nacm;
    reference
      "RFC 8341: Network Configuration Access”;   <— You are missing this.
  }
  import ietf-yang-library {
    prefix yanglib;
    description
      "Revision 2019-01-04 or a
       revision derived from it is REQUIRED.”;
                                                  <— And here
  }

Cheers.

> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

---

From: Balázs Lengyel <[email-masked]>
Date: Tue, 10 Mar 2020 09:26:18 +0000

OK, added in next version. 

Thanks, Balazs

From: netconf <[email-masked]> On Behalf Of Mahesh Jethanandani
Sent: 2020. március 10., kedd 5:02
To: Balázs Lengyel <balazs.lengyel=[email-masked]>
Cc: [email-masked]
Subject: Re: [netconf] New Version Notification for draft-ietf-netconf-notification-capabilities-12.txt

On Mar 9, 2020, at 7:55 AM, Balázs Lengyel <balazs.lengyel=[email-masked] <mailto:balazs.lengyel=[email-masked]> > wrote:

Hello,
I updated the draft 

 
Cheers.

Regards Balazs

-----Original Message-----
From: [email-masked] <mailto:[email-masked]>  <[email-masked] <mailto:[email-masked]> > 
Sent: 2020. március 9., hétfő 15:49
To: Balázs Lengyel <[email-masked] <mailto:[email-masked]> >; Alexander Clemm <[email-masked] <mailto:[email-masked]> >; Benoit Claise <[email-masked] <mailto:[email-masked]> >
Subject: New Version Notification for draft-ietf-netconf-notification-capabilities-12.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org> .

The IETF Secretariat

_______________________________________________
netconf mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/netconf